<script>
	import { goto } from '$app/navigation';
	import { user, login } from '$lib/preferences';

	let showMobileMenu = false;
	const handleMobileMenu = () => (showMobileMenu = !showMobileMenu);
</script>

<nav class="bg-white shadow">
	<div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
		<div class="flex justify-between h-16">
			<div class="flex">
				<div class="flex-shrink-0 flex items-center">
					<a href="/" sveltekit:prefetch>
						<picture>
							<source srcset="/logo.webp" type="image/webp" />
							<img class="block h-14 w-auto" src="/logo.png" alt="Mon Infoclimat" />
						</picture>
					</a>
				</div>
        		<div class="hidden sm:ml-6 sm:flex sm:space-x-8">
					{#if $user}
						<a href="/tableau-de-bord" class="border-transparent text-gray-500 hover:border-gray-300 hover:text-gray-700 inline-flex items-center px-1 pt-1 border-b-2 font-medium" sveltekit:prefetch>Mon tableau de bord</a>
					{:else}
						<a href="/tableau-de-bord" class="border-transparent text-gray-500 hover:border-gray-300 hover:text-gray-700 inline-flex items-center px-1 pt-1 border-b-2 font-medium" sveltekit:prefetch>Tableau de bord</a>
						<button class="border-transparent text-gray-500 hover:border-gray-300 hover:text-gray-700 inline-flex items-center px-1 pt-1 border-b-2font-medium"  on:click={() => login(goto('/tableau-de-bord'))}>Se connecter</button>
					{/if}
				</div>
      		</div>
			<div class="-mr-2 flex items-center sm:hidden">
				<!-- Mobile menu button -->
				<button on:click={handleMobileMenu} type="button" class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500" aria-controls="mobile-menu" aria-expanded="false">
					<span class="sr-only">Open main menu</span>
					{#if !showMobileMenu}
						<svg class="block h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
							<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16" />
						</svg>
					{:else}
						<svg class="block h-6 w-6" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
							<path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
						</svg>
					{/if}
				</button>
			</div>
    	</div>
  	</div>
	
	<!-- Mobile menu -->
	{#if showMobileMenu}
		<div class="sm:hidden" id="mobile-menu">
			<div class="pt-2 pb-3 space-y-1">
				<a href="/tableau-de-bord" class="border-transparent text-gray-500 hover:bg-gray-50 hover:border-gray-300 hover:text-gray-700 block pl-3 pr-4 py-2 border-l-4 text-base font-medium">Tableau de bord</a>
			</div>
		</div>
	{/if}
</nav>
